#Include-Once

; ### Region Fonctions de mise  niveau des fichiers

Func upgrade_to_current_version()
	If Not FileExists(ORGANIZER_config_file()) Then FileClose(FileOpen(ORGANIZER_config_file(),10))
	upgrade_to_1_0()
	upgrade_to_1_1a()
	upgrade_to_1_2()
	upgrade_to_1_2a()
EndFunc

; Mise  niveau "from scratch" vers 1.0

Func upgrade_to_1_0()
	Local $next_version = "1.0"
	_doNothingButVersion($next_version)
EndFunc

; Mise  niveau vers 1.1a

Func upgrade_to_1_1a()
	Local $next_version = "1.1a"
	; Configuration gnrale
	If compareVersion(_upgrade_readVersion(ORGANIZER_config_file()), $next_version) < 0 Then
		IniWrite(ORGANIZER_config_file(), "", "Version", $next_version)
		Local $patternData = "^(\d+)([^]*)([^]*)$"
		Local $sections = IniReadSectionNames(ORGANIZER_config_file())
		If Not @error Then
			For $i = 1 To $sections[0]
				Local $section = IniReadSection(ORGANIZER_config_file(), $sections[$i])
				If Not @error Then
					For $j = 1 To $section[0][0]
						If StringRegExp($section[$j][0], "^_") And StringRegExp($section[$j][1], $patternData) Then
							Local $order     = StringRegExpReplace($section[$j][1], $patternData, "$1")
							Local $shortcut  = StringRegExpReplace($section[$j][1], $patternData, "$2")
							Local $icon      = StringRegExpReplace($section[$j][1], $patternData, "$3")
							IniWrite(ORGANIZER_config_file(), $sections[$i], $section[$j][0], $order&""&"1"&""&$shortcut&""&$icon)
						EndIf
					Next
				EndIf
			Next
		EndIf
	EndIf
EndFunc

; Mise  niveau vers 1.2

Func upgrade_to_1_2()
	Local $next_version = "1.2"
	_doNothingButVersion($next_version)
EndFunc

; Mise  niveau vers 1.2a

Func upgrade_to_1_2a()
	Local $next_version = "1.2a"
	_doNothingButVersion($next_version)
EndFunc

; ### Region Fonctions annexes

Func _upgrade_readVersion($file)
	Return IniRead($file, "", "Version", "")
EndFunc

Func _doNothingButVersion($next_version)
	If compareVersion(_upgrade_readVersion(ORGANIZER_config_file()), $next_version) < 0 Then
		IniWrite(ORGANIZER_config_file(), "", "Version", $next_version)
	EndIf
EndFunc